Delete conditionalAccessPolicy
Artikel
07/20/2022
2 menit untuk membaca
8 kontributor
Dalam artikel ini
Namespace: microsoft.graph
Delete a conditionalAccessPolicy object.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions .
Permission type
Permissions (from least to most privileged)
Delegated (work or school account)
Policy.Read.All and Policy.ReadWrite.ConditionalAccess
Delegated (personal Microsoft account)
Not supported.
Application
Policy.Read.All and Policy.ReadWrite.ConditionalAccess
HTTP request
DELETE /identity/conditionalAccess/policies/{id}
Name
Description
Authorization
Bearer {token}. Required.
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 204, No Content response code. It does not return anything in the response body.
Example
Request
The following is an example of the request.
DELETE https://graph.microsoft.com/v1.0/identity/conditionalAccess/policies/{id}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
await graphClient.Identity.ConditionalAccess.Policies["{conditionalAccessPolicy-id}"]
.Request()
.DeleteAsync();
For details about how to add the SDK to your project and create an authProvider instance, see the SDK documentation .
const options = {
authProvider,
};
const client = Client.init(options);
await client.api('/identity/conditionalAccess/policies/{id}')
.delete();
For details about how to add the SDK to your project and create an authProvider instance, see the SDK documentation .
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
graphClient.identity().conditionalAccess().policies("{id}")
.buildRequest()
.delete();
For details about how to add the SDK to your project and create an authProvider instance, see the SDK documentation .
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
graphClient.Identity().ConditionalAccess().PoliciesById("conditionalAccessPolicy-id").Delete()
For details about how to add the SDK to your project and create an authProvider instance, see the SDK documentation .
Import-Module Microsoft.Graph.Identity.SignIns
Remove-MgIdentityConditionalAccessPolicy -ConditionalAccessPolicyId $conditionalAccessPolicyId
For details about how to add the SDK to your project and create an authProvider instance, see the SDK documentation .
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$graphServiceClient->identity()->conditionalAccess()->policiesById('conditionalAccessPolicy-id')->delete();
For details about how to add the SDK to your project and create an authProvider instance, see the SDK documentation .
Response
The following is an example of the response.
HTTP/1.1 204 No Content